#app {
    display: grid; 
    grid-template-columns: 400px 1fr 1fr; 
    grid-template-rows: 50vh 20vh 25vh 5vh; 
    gap: 2px 2px; 
    grid-template-areas: 
      "side main main"
      "side main main"
      "side log log"
      "side log log"; 
}
.sidebar { 
    padding : 20px;
    grid-area: side; 
    color : white;
    overflow-y: auto;
}
.main-content { 
    padding : 10px;
    grid-area: main; 
    overflow-y: auto;
}

.code-wrapper { 
    padding : 10px;
    overflow-y: auto;
    grid-area: log; 
    background-color: black;
    color : white;
}